Last Comment Bug 605739 - GPLv2 license text in about:license is not consistent with the official GPLv2 text at the FSF Web site
: GPLv2 license text in about:license is not consistent with the official GPLv2...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla2.0b8
Assigned To: Reed Loden [:reed] (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-19 23:50 PDT by summation
Modified: 2010-11-19 02:00 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13-fixed
.16-fixed


Attachments
patch - v1 (2.93 KB, patch)
2010-10-20 00:23 PDT, Reed Loden [:reed] (use needinfo?)
gerv: review+
benjamin: approval2.0+
dveditz: approval1.9.2.13+
dveditz: approval1.9.1.16+
Details | Diff | Splinter Review

Description summation 2010-10-19 23:50:15 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.11) Gecko/20101012 Firefox/3.6.11
Build Identifier: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.2.11) Gecko/20101012 Firefox/3.6.11

A copy of the text for the GNU General Public License version 2 (GPLv2) is embedded in the Firefox browser. This license text can be viewed by accessing the about:license URL and then scrolling down. However, the license text gives an address for the Free Software Foundation (51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA) that is not the same as the address at the http://www.fsf.org/about/contact/ page (51 Franklin Street, Suite 500, Boston, MA 02110-1335 USA.) Also, the last statement in the embedded license reads "If this is what you want to do, use the GNU Library General Public License instead of this License."

At an FSF Web page about the GPLv2 (http://www.gnu.org/licenses/old-licenses/gpl-2.0.html), the license text ends with the statement "If this is what you want to do, use the GNU Lesser General Public License instead of this License." According to the FSF, the reference to "the GNU Library General Public License" probably indicates an older version of the GPLv2. (The GNU Library General Public License predated the GNU Lesser General Public License.)

It might be advisable to replace the current embedded GPLv2 text with the official and newer GPLv2 text from the FSF. In doing so, the text and structure of the GPLv2 should not be altered. Indeed, the GPLv2 includes the following directive:

Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.

(Ideally, it would be possible to use the GPLv3 instead of the GPLv2, but there may be code or other GPLv2-covered content that cannot be relicensed under the GPLv3.)

Reproducible: Always

Steps to Reproduce:
1. Access the about:license URL
2. Scroll down until the text of the GNU General Public License version 2 appears
Comment 1 Reed Loden [:reed] (use needinfo?) 2010-10-20 00:23:12 PDT
Created attachment 484633 [details] [diff] [review]
patch - v1

I went through both the GPL and the LGPL and compared their content line-by-line. All I could find were two GNU Lesser vs. GNU Library difference in the GPL, a minor line length issue, and St vs. Street difference in the LGPL. I've fixed the first two of these issues and left the last one along, as St is just fine (and is what is used everywhere else in both the GPL and LGPL, so not sure why one line in the LGPL uses Street instead).
Comment 2 Reed Loden [:reed] (use needinfo?) 2010-10-20 00:28:03 PDT
(In reply to comment #0)
> However, the license text gives
> an address for the Free Software Foundation (51 Franklin St, Fifth Floor,
> Boston, MA 02110-1301 USA) that is not the same as the address at the
> http://www.fsf.org/about/contact/ page (51 Franklin Street, Suite 500, Boston,
> MA 02110-1335 USA.)

The address mentioned in the license text is exactly what the text versions of the GPLv2 and LGPLv2.1 use on www.gnu.org. Specifically, I used http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt and http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt. I see no reason to change it.

> Also, the last statement in the embedded license reads "If
> this is what you want to do, use the GNU Library General Public License instead
> of this License."
> 
> At an FSF Web page about the GPLv2
> (http://www.gnu.org/licenses/old-licenses/gpl-2.0.html), the license text ends
> with the statement "If this is what you want to do, use the GNU Lesser General
> Public License instead of this License." According to the FSF, the reference to
> "the GNU Library General Public License" probably indicates an older version of
> the GPLv2. (The GNU Library General Public License predated the GNU Lesser
> General Public License.)

Indeed, thanks for the find. Fixed in my patch.

> (Ideally, it would be possible to use the GPLv3 instead of the GPLv2, but there
> may be code or other GPLv2-covered content that cannot be relicensed under the
> GPLv3.)

That's very much unlikely to happen for a variety of reasons and is off-topic for this bug. :)
Comment 3 Gervase Markham [:gerv] 2010-10-20 01:18:20 PDT
Comment on attachment 484633 [details] [diff] [review]
patch - v1

r=gerv.

Gerv
Comment 4 Gervase Markham [:gerv] 2010-10-20 01:20:32 PDT
Drivers: there is no impact here on the string freeze because the license documents in about:license are not (or shouldn't be!) translated.

Gerv
Comment 5 Reed Loden [:reed] (use needinfo?) 2010-11-05 00:16:26 PDT
http://hg.mozilla.org/mozilla-central/rev/86e5ad5f6aef
Comment 6 Daniel Veditz [:dveditz] 2010-11-05 10:32:21 PDT
Comment on attachment 484633 [details] [diff] [review]
patch - v1

Approved for 1.9.2.13 and 1.9.1.16, a=dveditz for release-drivers
Comment 7 Reed Loden [:reed] (use needinfo?) 2010-11-19 01:17:28 PST
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/e1d59378a7ae
Comment 8 Reed Loden [:reed] (use needinfo?) 2010-11-19 02:00:11 PST
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/fecef32f84b0

Note You need to log in before you can comment on or make changes to this bug.